<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:bind="http://schemas.android.com/apk/res-auto">
    <data>
        <import type="android.view.View" />

        <variable
            name="viewModel"
            type="com.misisdevteam.routy.viewModels.MainViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/welcome_to"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="16dp"
        android:text="@string/welcome_to"
        style="@style/BaseTextViewStyle"
        android:textSize="20sp"
        android:gravity="center"
        android:fontFamily="@font/inter_semi_bold"
        app:layout_constraintBottom_toTopOf="@+id/routy"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <ImageView
        android:id="@+id/routy"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@drawable/routy"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.21" />

    <com.misisdevteam.routy.viewComponents.MainButton
        android:id="@+id/create_journey_button"
        style="@style/ContainedButtonTheme"
        android:layout_marginBottom="16dp"
        app:iconDrawable="@drawable/ic_star"
        android:onClick="@{(view) -> viewModel.eventHelper.handleOnClickEvent(view.getId())}"
          android:text="Создать поездку"
        app:layout_constraintBottom_toTopOf="@+id/login_or_register_button"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"/>
   <!-- android:paddingHorizontal="100dp"
    android:drawableStart="@drawable/ic_star"-->


        <com.misisdevteam.routy.viewComponents.MainButton
            android:id="@+id/login_or_register_button"
            style="@style/OutlinedButtonTheme"
            android:layout_marginBottom="16dp"
            android:onClick="@{(view) -> viewModel.eventHelper.handleOnClickEvent(view.getId())}"
            android:text="Войти / Зарегистрироваться"
            android:visibility="@{viewModel.curUser != null ? View.GONE : View.VISIBLE}"
            app:iconDrawable="@drawable/ic_orange_man"
            app:layout_constraintBottom_toTopOf="@id/main_navigation"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

    <com.google.android.material.bottomnavigation.BottomNavigationView
        android:id="@+id/main_navigation"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        android:layout_marginBottom="16dp"
        android:background="@drawable/main_bottom_navigation_shape"
        app:itemIconTint="@color/bottom_navigation_main_selector"
        app:itemTextColor="@color/bottom_navigation_main_selector"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:menu="@menu/main_navigation_view" />

        <androidx.viewpager2.widget.ViewPager2
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>
